<?php
/*
  Plugin Name: Holistics - Popup Welcome Message
  Plugin URI: http://www.holisticstg.com/wordpress/plugins
  Description: Will display a modal welcome messsage when a user first visit's your site.
  Version: 1.0
  Author: Michael Ballhaus
  Author URI: https://www.linkedin.com/in/michaelballhaus/
  License: GPLv2+
  Text Domain: 
*/

class WP_Popup{

    function __construct() {
        add_action('admin_menu', array($this, 'htg_add_menu' ));
		add_action('wp_loaded', array($this, 'htg_wp_loaded' ));
    }

    function htg_add_menu() {
        add_menu_page('Holistics TG', 'Holistics TG', 'manage_options', 'htg-settings', array($this, 'show_settings'));
    }

	 static function show_settings() {
        include(dirname(__FILE__) . '/includes/settings.php' );
    }

	static function htg_wp_loaded() {
        include(dirname(__FILE__) . '/includes/showpopup.php' );
    }
}

new WP_Popup();

?>